# PDF转图片工具

一个纯前端的PDF转图片工具，所有处理均在浏览器中完成，无需上传文件到服务器，保证用户数据安全。

## 功能特点

- 🔒 **安全可靠**：所有处理均在本地浏览器中完成，无需上传文件到服务器
- 🚀 **高效转换**：快速将PDF文件转换为高质量图片
- 📱 **响应式设计**：适配各种设备屏幕
- 🖼️ **多种导出选项**：支持导出单页图片或合并为单张长图
- 🔍 **实时预览**：转换前可预览PDF内容
- 📦 **批量处理**：支持多页PDF一次性处理

## 使用方法

1. 打开网页应用
2. 拖放PDF文件到指定区域或点击"选择文件"按钮
3. 等待PDF加载和预览生成
4. 选择导出选项（单页图片或合并为单张图片）
5. 点击"导出图片"按钮
6. 下载生成的图片文件

## 本地部署

1. 克隆本仓库
2. 确保`cssjs/js`目录下包含所有必要的JS库文件
3. 使用Web服务器（如Nginx、Apache等）提供静态文件服务
4. 访问index.html即可使用

### NGINX 配置示例

如果使用 NGINX 服务器，可以添加以下配置以支持 `.mjs` 文件：

```
nginx
types {
    # 其他 MIME 类型...
    text/javascript                           mjs;
}
```
## 浏览器兼容性

本工具支持所有现代浏览器，包括：

- Chrome 60+
- Firefox 60+
- Safari 11+
- Edge 79+

## 隐私说明

- 所有文件处理均在本地浏览器中完成
- 不会将您的 PDF 文件或生成的图片上传到任何服务器
- 不会收集任何个人信息或使用情况数据

## 致谢

- PDF.js
- JSZip
- FileSaver.js
- Bootstrap

本项目基于原始的PDF转图片工具进行了重构和改进，感谢[原项目](https://github.com/xxlllq/pdf2img)开发者提供的基础功能和灵感。

## 技术栈

- HTML5 / CSS3
- JavaScript (ES6+)
- [PDF.js](https://mozilla.github.io/pdf.js/) - Mozilla的PDF渲染库
- [JSZip](https://stuk.github.io/jszip/) - 用于创建ZIP文件的JavaScript库
- [FileSaver.js](https://github.com/eligrey/FileSaver.js/) - 客户端保存文件的解决方案
- [Bootstrap 5](https://getbootstrap.com/) - 用于UI组件和响应式设计
- [Bootstrap Icons](https://icons.getbootstrap.com/) - 图标库

## 许可证

本项目采用MIT许可证，详情请查看[LICENSE](LICENSE)文件。